Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.valueobject
Enum GISSource

    java.lang.Object
      java.lang.Enum<GISSource>
          com.gisgraphy.domain.valueobject.GISSource

All Implemented Interfaces:
  Serializable, Comparable<GISSource>

    public enum GISSource

extends Enum<GISSource>

List of source for the gisFeatures. it tells from which files/gazetteers it has been imported

Author:
  David Masclet

Enum Constant Summary
`GEONAMES`
`GEONAMES_ZIP`
`PERSONAL`

Method Summary
`static GISSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GISSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSONAL

    public static final GISSource PERSONAL

### GEONAMES

    public static final GISSource GEONAMES

### GEONAMES_ZIP

    public static final GISSource GEONAMES_ZIP

Method Detail

### values

    public static GISSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GISSource c : GISSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GISSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.